package com.zyc.system.service;

import java.util.List;
import com.zyc.system.domain.ComputerRooms;

/**
 * 机房Service接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface IComputerRoomsService 
{
    /**
     * 查询机房
     * 
     * @param id 机房主键
     * @return 机房
     */
    public ComputerRooms selectComputerRoomsById(Integer id);

    /**
     * 查询机房列表
     * 
     * @param computerRooms 机房
     * @return 机房集合
     */
    public List<ComputerRooms> selectComputerRoomsList(ComputerRooms computerRooms);

    /**
     * 新增机房
     * 
     * @param computerRooms 机房
     * @return 结果
     */
    public int insertComputerRooms(ComputerRooms computerRooms);

    /**
     * 修改机房
     * 
     * @param computerRooms 机房
     * @return 结果
     */
    public int updateComputerRooms(ComputerRooms computerRooms);

    /**
     * 批量删除机房
     * 
     * @param ids 需要删除的机房主键集合
     * @return 结果
     */
    public int deleteComputerRoomsByIds(Integer[] ids);

    /**
     * 删除机房信息
     * 
     * @param id 机房主键
     * @return 结果
     */
    public int deleteComputerRoomsById(Integer id);
}
